@ -18,12 +18,12 @@
# Default values
NAME=gogs
GOGS _HOME=/home/git/gogs
GOGS_PATH=${GOGS _HOME}/$NAME
GOGS _USER=git
GITEA _HOME=/home/git/gogs
GITEA_PATH=${GITEA _HOME}/$NAME
GITEA _USER=git
SERVICENAME="Go Git Service"
LOCKFILE=/var/lock/subsys/gogs
LOGPATH=${GOGS _HOME}/log
LOGPATH=${GITEA _HOME}/log
LOGFILE=${LOGPATH}/error.log
# gogs creates its own gogs.log from stdout
RETVAL=0
@ -32,7 +32,7 @@ RETVAL=0
[ -r /etc/sysconfig/$NAME ] && . /etc/sysconfig/$NAME
# Don't do anything if nothing is installed
test -x ${GOGS _PATH} || { echo "$NAME not installed";
test -x ${GITEA _PATH} || { echo "$NAME not installed";
if [ "$1" = "stop" ]; then exit 0;
else exit 5; fi; }
@ -53,12 +53,12 @@ case "$1" in
echo -n "Starting ${SERVICENAME} "
# As we can't use startproc, we have to check ourselves if the service is already running
/sbin/checkproc ${GOGS _PATH}
/sbin/checkproc ${GITEA _PATH}
if [ $? -eq 0 ]; then
# return skipped as service is already running
(exit 5)
else
su - ${GOGS_USER} -c "USER=${GOGS_USER} ${GOGS _PATH} web 2>&1 >>${LOGFILE} &"
su - ${GITEA_USER} -c "USER=${GITEA_USER} ${GITEA _PATH} web 2>&1 >>${LOGFILE} &"
fi
# Remember status and be verbose
@ -70,7 +70,7 @@ case "$1" in
## Stop daemon with killproc(8) and if this fails
## killproc sets the return value according to LSB.
/sbin/killproc ${GOGS _PATH}
/sbin/killproc ${GITEA _PATH}
# Remember status and be verbose
rc_status -v
@ -100,7 +100,7 @@ case "$1" in
# 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
# NOTE: checkproc returns LSB compliant status values.
/sbin/checkproc ${GOGS _PATH}
/sbin/checkproc ${GITEA _PATH}
# NOTE: rc_status knows that we called this init script with
# "status" option and adapts its messages accordingly.
rc_status -v